package com.foreverwin.mesnac.integration.dto;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType( XmlAccessType.FIELD )
@XmlType(name = "ItemSyncRequest", propOrder = {
        "TRANID",
        "DATE_TIME",
        "SITE",
        "ITEM",
        "REVISION",
        "MAKTX",
        "STATUS",
        "ITEM_TYPE",
        "PROCUREMENT_TYPE",
        "LOT_SIZE",
        "UNIT_OF_MEASURE",
        "ASSY_DATA_TYPE",
        "INV_ASSY_DATA_TYPE",
        "ACCESSORY_TYPE",
        "MAT_SPEC",
        "TEXTTURE",
        "DWG_NO",
        "PER_METER",
        "PER_SQUARE_METER"
})
public class ItemSyncRequest {

    @XmlElement(name = "TRANID")
    private String TRANID;

    @XmlElement(name = "DATE_TIME")
    private String DATE_TIME;

    @XmlElement(name = "SITE")
    private String SITE;
    //物料编号
    @XmlElement(name = "ITEM")
    private String ITEM;
    //物料版本：默认为A
    @XmlElement(name = "REVISION")
    private String REVISION;
    //物料描述
    @XmlElement(name = "MAKTX")
    private String MAKTX;
    //状态
    @XmlElement(name = "STATUS")
    private String STATUS;
    //物料类型
    @XmlElement(name = "ITEM_TYPE")
    private String ITEM_TYPE;
    //采购类型
    @XmlElement(name = "PROCUREMENT_TYPE")
    private String PROCUREMENT_TYPE;
    //批次大小
    @XmlElement(name = "LOT_SIZE")
    private String LOT_SIZE;
    //单位
    @XmlElement(name = "UNIT_OF_MEASURE")
    private String UNIT_OF_MEASURE;

    @XmlElement(name = "ASSY_DATA_TYPE")
    private String ASSY_DATA_TYPE;

    @XmlElement(name = "INV_ASSY_DATA_TYPE")
    private String INV_ASSY_DATA_TYPE;

    //辅料类型：0或者空原材料，刀具1，主关件9，非主观件2
    @XmlElement(name = "ACCESSORY_TYPE")
    private String ACCESSORY_TYPE;
    //规格
    @XmlElement(name = "MAT_SPEC")
    private String MAT_SPEC;
    //材质
    @XmlElement(name = "TEXTTURE")
    private String TEXTTURE;
    //图号
    @XmlElement(name = "DWG_NO")
    private String DWG_NO;
    @XmlElement(name = "PER_METER")
    private String PER_METER;
    @XmlElement(name = "PER_SQUARE_METER")
    private String PER_SQUARE_METER;

    public String getTRANID() {
        return TRANID;
    }

    public void setTRANID(String TRANID) {
        this.TRANID = TRANID;
    }

    public String getDATE_TIME() {
        return DATE_TIME;
    }

    public void setDATE_TIME(String DATE_TIME) {
        this.DATE_TIME = DATE_TIME;
    }

    public String getSITE() {
        return SITE;
    }

    public void setSITE(String SITE) {
        this.SITE = SITE;
    }

    public String getITEM() {
        return ITEM;
    }

    public void setITEM(String ITEM) {
        this.ITEM = ITEM;
    }

    public String getREVISION() {
        return REVISION;
    }

    public void setREVISION(String REVISION) {
        this.REVISION = REVISION;
    }

    public String getMAKTX() {
        return MAKTX;
    }

    public void setMAKTX(String MAKTX) {
        this.MAKTX = MAKTX;
    }

    public String getSTATUS() {
        return STATUS;
    }

    public void setSTATUS(String STATUS) {
        this.STATUS = STATUS;
    }

    public String getITEM_TYPE() {
        return ITEM_TYPE;
    }

    public void setITEM_TYPE(String ITEM_TYPE) {
        this.ITEM_TYPE = ITEM_TYPE;
    }

    public String getPROCUREMENT_TYPE() {
        return PROCUREMENT_TYPE;
    }

    public void setPROCUREMENT_TYPE(String PROCUREMENT_TYPE) {
        this.PROCUREMENT_TYPE = PROCUREMENT_TYPE;
    }

    public String getLOT_SIZE() {
        return LOT_SIZE;
    }

    public void setLOT_SIZE(String LOT_SIZE) {
        this.LOT_SIZE = LOT_SIZE;
    }

    public String getUNIT_OF_MEASURE() {
        return UNIT_OF_MEASURE;
    }

    public void setUNIT_OF_MEASURE(String UNIT_OF_MEASURE) {
        this.UNIT_OF_MEASURE = UNIT_OF_MEASURE;
    }

    public String getASSY_DATA_TYPE() {
        return ASSY_DATA_TYPE;
    }

    public void setASSY_DATA_TYPE(String ASSY_DATA_TYPE) {
        this.ASSY_DATA_TYPE = ASSY_DATA_TYPE;
    }

    public String getINV_ASSY_DATA_TYPE() {
        return INV_ASSY_DATA_TYPE;
    }

    public void setINV_ASSY_DATA_TYPE(String INV_ASSY_DATA_TYPE) {
        this.INV_ASSY_DATA_TYPE = INV_ASSY_DATA_TYPE;
    }

    public String getACCESSORY_TYPE() {
        return ACCESSORY_TYPE;
    }

    public void setACCESSORY_TYPE(String ACCESSORY_TYPE) {
        this.ACCESSORY_TYPE = ACCESSORY_TYPE;
    }

    public String getMAT_SPEC() {
        return MAT_SPEC;
    }

    public void setMAT_SPEC(String MAT_SPEC) {
        this.MAT_SPEC = MAT_SPEC;
    }

    public String getTEXTTURE() {
        return TEXTTURE;
    }

    public void setTEXTTURE(String TEXTTURE) {
        this.TEXTTURE = TEXTTURE;
    }

    public String getDWG_NO() {
        return DWG_NO;
    }

    public void setDWG_NO(String DWG_NO) {
        this.DWG_NO = DWG_NO;
    }

    public String getPER_METER() {
        return PER_METER;
    }

    public void setPER_METER(String PER_METER) {
        this.PER_METER = PER_METER;
    }

    public String getPER_SQUARE_METER() {
        return PER_SQUARE_METER;
    }

    public void setPER_SQUARE_METER(String PER_SQUARE_METER) {
        this.PER_SQUARE_METER = PER_SQUARE_METER;
    }

    @Override
    public String toString() {
        return "ItemSyncRequest{" +
                "TRANID='" + TRANID + '\'' +
                ", DATE_TIME='" + DATE_TIME + '\'' +
                ", SITE='" + SITE + '\'' +
                ", ITEM='" + ITEM + '\'' +
                ", REVISION='" + REVISION + '\'' +
                ", MAKTX='" + MAKTX + '\'' +
                ", STATUS='" + STATUS + '\'' +
                ", ITEM_TYPE='" + ITEM_TYPE + '\'' +
                ", PROCUREMENT_TYPE='" + PROCUREMENT_TYPE + '\'' +
                ", LOT_SIZE='" + LOT_SIZE + '\'' +
                ", UNIT_OF_MEASURE='" + UNIT_OF_MEASURE + '\'' +
                ", ASSY_DATA_TYPE='" + ASSY_DATA_TYPE + '\'' +
                ", INV_ASSY_DATA_TYPE='" + INV_ASSY_DATA_TYPE + '\'' +
                ", ACCESSORY_TYPE='" + ACCESSORY_TYPE + '\'' +
                ", MAT_SPEC='" + MAT_SPEC + '\'' +
                ", TEXTTURE='" + TEXTTURE + '\'' +
                ", DWG_NO='" + DWG_NO + '\'' +
                ", PER_METER='" + PER_METER + '\'' +
                ", PER_SOUARE_METER='" + PER_SQUARE_METER + '\'' +
                '}';
    }
}
